Qt 5.9 | Qt 3D | C++ Classes | QSeamlessCubemap

Qt 5.9.3 Reference Documentation

# QSeamlessCubemap Class

(Qt3DRender::QSeamlessCubemap)

Enables seamless cubemap texture filtering. More...

Header: | #include <QSeamlessCubemap>
qmake: | QT += 3drender
Since: | Qt 5.7
Instantiated By: | SeamlessCubemap
Inherits: | Qt3DRender::QRenderState

- List of all members, including inherited members

## Public Functions

| QSeamlessCubemap(Qt3DCore::QNode *parent = nullptr)

- 11 public functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 3 properties inherited from Qt3DCore::QNode
- 3 public slots inherited from Qt3DCore::QNode
- 4 signals inherited from Qt3DCore::QNode
- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

Enables seamless cubemap texture filtering.

When present in a state set, enables the seamless cubemap texture filtering as provided by the GL_ARB_seamless_cubemap extension (if available).

## Member Function Documentation

### QSeamlessCubemap::QSeamlessCubemap(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QSeamlessCubemap.